Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Eclipse 3.0M4 on ppc [SOLVED]
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Gentoo on PPC
View previous topic :: View next topic  
Author Message
bergs
Tux's lil' helper
Tux's lil' helper


Joined: 10 Jul 2002
Posts: 141
Location: Bern, Switzerland

PostPosted: Fri Nov 14, 2003 9:42 pm    Post subject: Eclipse 3.0M4 on ppc [SOLVED] Reply with quote

SOLVED

If you use the jdk from IBM, do the following:

Code:

cd /<your ibm jdk installation>/jre/lib
ln -s core.jar rt.jar
emerge eclipse-sdk


:roll: not the cleanest solution but it works :roll:

SOLVED

----
Hi,

I'd like to install eclipse 3.0M4 on my powerbook running gentoo but I have no idea how to do that. Searching the net and this forum did not help as everything I found there was too old (for version 2.x?).

Could someone explain to me what steps are needed to get this working? J2SDK 1.4.1 is already installed, so is ant.

The way it's NOT working:

build os=linux ws=gtk arch=x86
copy & unpack linux-gtk-x86-sdk.zip to /opt/eclipse
compile eclipse binary & copy to /opt/eclipse

Error on executing eclipse:
The java class is not found: org/eclipse/core/launcher/Main

Well, there is not even an org.eclipse.core.launcher.* in the source directory! I don't get it. Any ideas?


Thanks a lot!

Simon[/code]


Last edited by bergs on Mon Dec 01, 2003 7:32 pm; edited 2 times in total
Back to top
View user's profile Send private message
m0pr0be
Guru
Guru


Joined: 29 Aug 2002
Posts: 308

PostPosted: Fri Nov 21, 2003 1:47 pm    Post subject: Reply with quote

use the source! binary downloads wont work. they are for x86 only.
Back to top
View user's profile Send private message
bergs
Tux's lil' helper
Tux's lil' helper


Joined: 10 Jul 2002
Posts: 141
Location: Bern, Switzerland

PostPosted: Fri Nov 21, 2003 11:36 pm    Post subject: Reply with quote

Just emerged eclipse-sdk-2.1.2.ebuild. When starting eclipse I get a ClassNotFoundException (org/eclipse/ something). No wonder, there are no classes in /usr/lib/eclipse/startup.jar 8O Something is terribly wrong here ... What I'm missing?

Thank you for your help.

Simon
Back to top
View user's profile Send private message
m0pr0be
Guru
Guru


Joined: 29 Aug 2002
Posts: 308

PostPosted: Sat Nov 22, 2003 12:17 pm    Post subject: Reply with quote

sounds strange.

i used to fiddle with eclipse-sdk-2.1.x some time ago and it worked well for me.

i will check if eclipse-sdk-2.1.1 works for me. i will report my results here.
Back to top
View user's profile Send private message
bergs
Tux's lil' helper
Tux's lil' helper


Joined: 10 Jul 2002
Posts: 141
Location: Bern, Switzerland

PostPosted: Mon Dec 01, 2003 7:33 pm    Post subject: Reply with quote

Problem solved, see above
Back to top
View user's profile Send private message
apothin
n00b
n00b


Joined: 06 Jan 2004
Posts: 4
Location: France

PostPosted: Mon Jan 19, 2004 2:13 pm    Post subject: Reply with quote

bergs wrote:
Problem solved, see above


post your how-to please.

i don't install eclipse-sdk pre5 ? at running, eclipse no founded libswt*.so ?

thx

sorry for my poor english...
Back to top
View user's profile Send private message
bergs
Tux's lil' helper
Tux's lil' helper


Joined: 10 Jul 2002
Posts: 141
Location: Bern, Switzerland

PostPosted: Tue Jan 20, 2004 5:11 pm    Post subject: Reply with quote

No HOWTO, i'm sorry. Have a look at my first post again and follow the instructions there. Btw, I didn't manage to get version >= 3 running, my current install is eclipse-sdk 2.1 from portage stable.

I don't know what causes your problem, maybe you should do a Google search about it?

Quote:

sorry for my poor english...


Hey, english is not my native language either ... :)

Simon
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Gentoo on PPC All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum